Subject: Ticket Assigned - Article Feedback - When will you pick up the products I want to return?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 19 May 2022 07:10:35 +0000

Hi Khalid Alamri,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - When will you pick up the products I want to return? Feedback for:  When will you pick up the products I want to return? I have reqused for retun of particular products i have not recvied any one to take back the procudt from me https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4349119